## imcode.server.user
Class MockRoleGetter

    java.lang.Object
      imcode.server.user.MockRoleGetter

All Implemented Interfaces:
  RoleGetter

    public class MockRoleGetter

extends java.lang.Object
implements RoleGetter

Constructor Summary
`MockRoleGetter()`

Method Summary
`RoleDomainObject` `getRole(RoleId roleId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockRoleGetter

    public MockRoleGetter()

Method Detail

### getRole

    public RoleDomainObject getRole(RoleId roleId)

  Specified by:
    `getRole` in interface `RoleGetter`